@echo off
echo MAKE PREVIEW (CUBESTRIP) droplet

IF "%~1" == "" GOTO ERROR
IF NOT EXIST "%~1" GOTO ERROR

SET /A COUNT=0
FOR %%V in (%*) DO SET /A COUNT=COUNT+1

IF %COUNT% == 0 GOTO ERROR
IF %COUNT% == 6 GOTO CUBEINPUT

:SPHEREINPUT
FOR %%V in (%*) do "%~dp0\kmakepreview" -cs -smooth=25 "%%~V"
GOTO DONE

:CUBEINPUT
"%~dp0\kmakepreview" -cs -smooth=25 "%~1" "%~2" "%~3" "%~4" "%~5" "%~6"
GOTO DONE

:ERROR
echo.
echo Drag and drop spherical or cubical panorama images to convert them
echo to a smooth cubestrip preview image.

:DONE
echo.
pause
